<?php
/**
 * Theme Customizer Controls
 *
 * @package Jungle Eco Tours
 */

if ( ! function_exists( 'jungle_eco_tours_customizer_blog_register' ) ) :
function jungle_eco_tours_customizer_blog_register( $wp_customize ) {
	
	$wp_customize->add_panel(
        'jungle_eco_tours_blog_settings_panel',
        array (
            'priority'      => 30,
            'capability'    => 'edit_theme_options',
            'title'         => esc_html__( 'Blog Settings', 'jungle-eco-tours' ),
        )
    );

	// Section Posts
    $wp_customize->add_section(
        'jungle_eco_tours_posts_settings',
        array (
            'priority'      => 25,
            'capability'    => 'edit_theme_options',
            'title'         => esc_html__( 'Posts', 'jungle-eco-tours' ),
            'panel'          => 'jungle_eco_tours_blog_settings_panel',
        )
    ); 

	// Title label
	$wp_customize->add_setting( 
		'jungle_eco_tours_label_post_meta_show', 
		array(
		    'sanitize_callback' => 'jungle_eco_tours_sanitize_title',
		) 
	);

	$wp_customize->add_control( 
		new Jungle_Eco_Tours_Title_Info_Control( $wp_customize, 'jungle_eco_tours_label_post_meta_show', 
		array(
		    'label'       => esc_html__( 'Posts Meta', 'jungle-eco-tours' ),
		    'section'     => 'jungle_eco_tours_posts_settings',
		    'type'        => 'jungle-eco-tours-title',
		    'settings'    => 'jungle_eco_tours_label_post_meta_show',
		) 
	));

	// Add an option to enable the date
	$wp_customize->add_setting( 
		'jungle_eco_tours_enable_posts_meta_date', 
		array(
		    'default'           => true,
		    'type'              => 'theme_mod',
		    'sanitize_callback' => 'jungle_eco_tours_sanitize_checkbox',
		) 
	);

	$wp_customize->add_control( 
		new Jungle_Eco_Tours_Toggle_Control( $wp_customize, 'jungle_eco_tours_enable_posts_meta_date', 
		array(
		    'label'       => esc_html__( 'Show Date', 'jungle-eco-tours' ),
		    'section'     => 'jungle_eco_tours_posts_settings',
		    'type'        => 'jungle-eco-tours-toggle',
		    'settings'    => 'jungle_eco_tours_enable_posts_meta_date',
		) 
	));

	// Add an option to enable the author
	$wp_customize->add_setting( 
		'jungle_eco_tours_enable_posts_meta_author', 
		array(
		    'default'           => true,
		    'type'              => 'theme_mod',
		    'sanitize_callback' => 'jungle_eco_tours_sanitize_checkbox',
		) 
	);

	$wp_customize->add_control( 
		new Jungle_Eco_Tours_Toggle_Control( $wp_customize, 'jungle_eco_tours_enable_posts_meta_author', 
		array(
		    'label'       => esc_html__( 'Show Author', 'jungle-eco-tours' ),
		    'section'     => 'jungle_eco_tours_posts_settings',
		    'type'        => 'jungle-eco-tours-toggle',
		    'settings'    => 'jungle_eco_tours_enable_posts_meta_author',
		) 
	));

	// Add an option to enable the comments
	$wp_customize->add_setting( 
		'jungle_eco_tours_enable_posts_meta_comments', 
		array(
		    'default'           => true,
		    'type'              => 'theme_mod',
		    'sanitize_callback' => 'jungle_eco_tours_sanitize_checkbox',
		) 
	);

	$wp_customize->add_control( 
		new Jungle_Eco_Tours_Toggle_Control( $wp_customize, 'jungle_eco_tours_enable_posts_meta_comments', 
		array(
		    'label'       => esc_html__( 'Show Comments', 'jungle-eco-tours' ),
		    'section'     => 'jungle_eco_tours_posts_settings',
		    'type'        => 'jungle-eco-tours-toggle',
		    'settings'    => 'jungle_eco_tours_enable_posts_meta_comments',
		) 
	));

	// Title label
	$wp_customize->add_setting( 
		'jungle_eco_tours_label_sidebar_layout', 
		array(
		    'sanitize_callback' => 'jungle_eco_tours_sanitize_title',
		) 
	);

	$wp_customize->add_control( 
		new Jungle_Eco_Tours_Title_Info_Control( $wp_customize, 'jungle_eco_tours_label_sidebar_layout', 
		array(
		    'label'       => esc_html__( 'Sidebar', 'jungle-eco-tours' ),
		    'section'     => 'jungle_eco_tours_posts_settings',
		    'type'        => 'jungle-eco-tours-title',
		    'settings'    => 'jungle_eco_tours_label_sidebar_layout',
		) 
	));

	// Sidebar layout
    $wp_customize->add_setting(
        'jungle_eco_tours_blog_sidebar_layout',
        array(
            'default'			=> 'right',
            'type'				=> 'theme_mod',
            'capability'		=> 'edit_theme_options',
            'sanitize_callback'	=> 'jungle_eco_tours_sanitize_select'
        )
    );
    $wp_customize->add_control(
        new Jungle_Eco_Tours_Radio_Image_Control( $wp_customize,'jungle_eco_tours_blog_sidebar_layout',
            array(
                'settings'		=> 'jungle_eco_tours_blog_sidebar_layout',
                'section'		=> 'jungle_eco_tours_posts_settings',
                'label'			=> esc_html__( 'Sidebar Layout', 'jungle-eco-tours' ),
                'choices'		=> array(
                    'right'	        => JUNGLE_ECO_TOURS_DIR_URI . '/inc/customizer/assets/images/cr.png',
                    'left' 	        => JUNGLE_ECO_TOURS_DIR_URI . '/inc/customizer/assets/images/cl.png',
                    'three_colm'	        => JUNGLE_ECO_TOURS_DIR_URI . '/inc/customizer/assets/images/c3.png',
                    'four_colm'	        => JUNGLE_ECO_TOURS_DIR_URI . '/inc/customizer/assets/images/c4.png',
                    'grid_layout'	        => JUNGLE_ECO_TOURS_DIR_URI . '/inc/customizer/assets/images/c5.png',
                    'grid_left_sidebar'	        => JUNGLE_ECO_TOURS_DIR_URI . '/inc/customizer/assets/images/c6.png',
                    'grid_right_sidebar'	        => JUNGLE_ECO_TOURS_DIR_URI . '/inc/customizer/assets/images/c7.png',
                    'no' 	        => JUNGLE_ECO_TOURS_DIR_URI . '/inc/customizer/assets/images/cn.png',
                )
            )
        )
    );

    // Title label
	$wp_customize->add_setting( 
		'jungle_eco_tours_label_blog_excerpt', 
		array(
		    'sanitize_callback' => 'jungle_eco_tours_sanitize_title',
		) 
	);

	$wp_customize->add_control( 
		new Jungle_Eco_Tours_Title_Info_Control( $wp_customize, 'jungle_eco_tours_label_blog_excerpt', 
		array(
		    'label'       => esc_html__( 'Post Excerpt', 'jungle-eco-tours' ),
		    'section'     => 'jungle_eco_tours_posts_settings',
		    'type'        => 'jungle-eco-tours-title',
		    'settings'    => 'jungle_eco_tours_label_blog_excerpt',
		) 
	));

	// add post excerpt textbox
    $wp_customize->add_setting(
        'jungle_eco_tours_posts_excerpt_length',
        array(
            'type' => 'theme_mod',
            'default'           => 30,
            'sanitize_callback' => 'jungle_eco_tours_sanitize_number',
        )
    );

    $wp_customize->add_control(
        'jungle_eco_tours_posts_excerpt_length',
        array(
            'settings'      => 'jungle_eco_tours_posts_excerpt_length',
            'section'       => 'jungle_eco_tours_posts_settings',
            'type'          => 'number',
            'label'         => esc_html__( 'Post Excerpt Length', 'jungle-eco-tours' ),
        )
    );

    // add readmore textbox
    $wp_customize->add_setting(
        'jungle_eco_tours_posts_readmore_text',
        array(
            'type' => 'theme_mod',
            'default'           => esc_html__( 'READ MORE', 'jungle-eco-tours' ),
            'sanitize_callback' => 'jungle_eco_tours_sanitize_text_field',
        )
    );

    $wp_customize->add_control(
        'jungle_eco_tours_posts_readmore_text',
        array(
            'settings'      => 'jungle_eco_tours_posts_readmore_text',
            'section'       => 'jungle_eco_tours_posts_settings',
            'type'          => 'textbox',
            'label'         => esc_html__( 'Read More Text', 'jungle-eco-tours' ),
        )
    );

    //=========================================================================

	// Section Single Post
    $wp_customize->add_section(
        'jungle_eco_tours_single_post_settings',
        array (
            'priority'      => 25,
            'capability'    => 'edit_theme_options',
            'title'         => esc_html__( 'Single Post', 'jungle-eco-tours' ),
            'panel'          => 'jungle_eco_tours_blog_settings_panel',
        )
    ); 


    // Title label
	$wp_customize->add_setting( 
		'jungle_eco_tours_label_single_post_category_show', 
		array(
		    'sanitize_callback' => 'jungle_eco_tours_sanitize_title',
		) 
	);

	$wp_customize->add_control( 
		new Jungle_Eco_Tours_Title_Info_Control( $wp_customize, 'jungle_eco_tours_label_single_post_category_show', 
		array(
		    'label'       => esc_html__( 'Post Category', 'jungle-eco-tours' ),
		    'section'     => 'jungle_eco_tours_single_post_settings',
		    'type'        => 'jungle-eco-tours-title',
		    'settings'    => 'jungle_eco_tours_label_single_post_category_show',
		) 
	));

	// Add an option to enable the category
	$wp_customize->add_setting( 
		'jungle_eco_tours_enable_single_post_cat', 
		array(
		    'default'           => true,
		    'type'              => 'theme_mod',
		    'sanitize_callback' => 'jungle_eco_tours_sanitize_checkbox',
		) 
	);

	$wp_customize->add_control( 
		new Jungle_Eco_Tours_Toggle_Control( $wp_customize, 'jungle_eco_tours_enable_single_post_cat', 
		array(
		    'label'       => esc_html__( 'Show Category', 'jungle-eco-tours' ),
		    'section'     => 'jungle_eco_tours_single_post_settings',
		    'type'        => 'jungle-eco-tours-toggle',
		    'settings'    => 'jungle_eco_tours_enable_single_post_cat',
		) 
	));

	// add category textbox
    $wp_customize->add_setting(
        'jungle_eco_tours_single_post_category_text',
        array(
            'type' => 'theme_mod',
            'default'           => esc_html__( 'Category:', 'jungle-eco-tours' ),
            'sanitize_callback' => 'jungle_eco_tours_sanitize_text_field',
        )
    );

    $wp_customize->add_control(
        'jungle_eco_tours_single_post_category_text',
        array(
            'settings'      => 'jungle_eco_tours_single_post_category_text',
            'section'       => 'jungle_eco_tours_single_post_settings',
            'type'          => 'textbox',
            'label'         => esc_html__( 'Category Text', 'jungle-eco-tours' ),
        )
    );

	// Title label
	$wp_customize->add_setting( 
		'jungle_eco_tours_label_single_post_tag_show', 
		array(
		    'sanitize_callback' => 'jungle_eco_tours_sanitize_title',
		) 
	);

	$wp_customize->add_control( 
		new Jungle_Eco_Tours_Title_Info_Control( $wp_customize, 'jungle_eco_tours_label_single_post_tag_show', 
		array(
		    'label'       => esc_html__( 'Post Tags', 'jungle-eco-tours' ),
		    'section'     => 'jungle_eco_tours_single_post_settings',
		    'type'        => 'jungle-eco-tours-title',
		    'settings'    => 'jungle_eco_tours_label_single_post_tag_show',
		) 
	));

	// Add an option to enable the tags
	$wp_customize->add_setting( 
		'jungle_eco_tours_enable_single_post_tags', 
		array(
		    'default'           => true,
		    'type'              => 'theme_mod',
		    'sanitize_callback' => 'jungle_eco_tours_sanitize_checkbox',
		) 
	);

	$wp_customize->add_control( 
		new Jungle_Eco_Tours_Toggle_Control( $wp_customize, 'jungle_eco_tours_enable_single_post_tags', 
		array(
		    'label'       => esc_html__( 'Show Tags', 'jungle-eco-tours' ),
		    'section'     => 'jungle_eco_tours_single_post_settings',
		    'type'        => 'jungle-eco-tours-toggle',
		    'settings'    => 'jungle_eco_tours_enable_single_post_tags',
		) 
	));

	// Title label
	$wp_customize->add_setting( 
		'jungle_eco_tours_label_single_pos_meta_show', 
		array(
		    'sanitize_callback' => 'jungle_eco_tours_sanitize_title',
		) 
	);

	$wp_customize->add_control( 
		new Jungle_Eco_Tours_Title_Info_Control( $wp_customize, 'jungle_eco_tours_label_single_pos_meta_show', 
		array(
		    'label'       => esc_html__( 'Post Meta', 'jungle-eco-tours' ),
		    'section'     => 'jungle_eco_tours_single_post_settings',
		    'type'        => 'jungle-eco-tours-title',
		    'settings'    => 'jungle_eco_tours_label_single_pos_meta_show',
		) 
	));

	// Add an option to enable the date
	$wp_customize->add_setting( 
		'jungle_eco_tours_enable_single_post_meta_date', 
		array(
		    'default'           => true,
		    'type'              => 'theme_mod',
		    'sanitize_callback' => 'jungle_eco_tours_sanitize_checkbox',
		) 
	);

	$wp_customize->add_control( 
		new Jungle_Eco_Tours_Toggle_Control( $wp_customize, 'jungle_eco_tours_enable_single_post_meta_date', 
		array(
		    'label'       => esc_html__( 'Show Date', 'jungle-eco-tours' ),
		    'section'     => 'jungle_eco_tours_single_post_settings',
		    'type'        => 'jungle-eco-tours-toggle',
		    'settings'    => 'jungle_eco_tours_enable_single_post_meta_date',
		) 
	));

	// Add an option to enable the author
	$wp_customize->add_setting( 
		'jungle_eco_tours_enable_single_post_meta_author', 
		array(
		    'default'           => true,
		    'type'              => 'theme_mod',
		    'sanitize_callback' => 'jungle_eco_tours_sanitize_checkbox',
		) 
	);

	$wp_customize->add_control( 
		new Jungle_Eco_Tours_Toggle_Control( $wp_customize, 'jungle_eco_tours_enable_single_post_meta_author', 
		array(
		    'label'       => esc_html__( 'Show Author', 'jungle-eco-tours' ),
		    'section'     => 'jungle_eco_tours_single_post_settings',
		    'type'        => 'jungle-eco-tours-toggle',
		    'settings'    => 'jungle_eco_tours_enable_single_post_meta_author',
		) 
	));

	// Add an option to enable the comments
	$wp_customize->add_setting( 
		'jungle_eco_tours_enable_single_post_meta_comments', 
		array(
		    'default'           => true,
		    'type'              => 'theme_mod',
		    'sanitize_callback' => 'jungle_eco_tours_sanitize_checkbox',
		) 
	);

	$wp_customize->add_control( 
		new Jungle_Eco_Tours_Toggle_Control( $wp_customize, 'jungle_eco_tours_enable_single_post_meta_comments', 
		array(
		    'label'       => esc_html__( 'Show Comments', 'jungle-eco-tours' ),
		    'section'     => 'jungle_eco_tours_single_post_settings',
		    'type'        => 'jungle-eco-tours-toggle',
		    'settings'    => 'jungle_eco_tours_enable_single_post_meta_comments',
		) 
	));

	// Title label
	$wp_customize->add_setting( 
		'jungle_eco_tours_label_single_pos_nav_show', 
		array(
		    'sanitize_callback' => 'jungle_eco_tours_sanitize_title',
		) 
	);

	$wp_customize->add_control( 
		new Jungle_Eco_Tours_Title_Info_Control( $wp_customize, 'jungle_eco_tours_label_single_pos_nav_show', 
		array(
		    'label'       => esc_html__( 'Post Navigation', 'jungle-eco-tours' ),
		    'section'     => 'jungle_eco_tours_single_post_settings',
		    'type'        => 'jungle-eco-tours-title',
		    'settings'    => 'jungle_eco_tours_label_single_pos_nav_show',
		) 
	));

    // add next article textbox
    $wp_customize->add_setting(
        'jungle_eco_tours_single_post_next_article_text',
        array(
            'type' => 'theme_mod',
            'default'           => esc_html__( 'Next Article', 'jungle-eco-tours' ),
            'sanitize_callback' => 'jungle_eco_tours_sanitize_text_field',
        )
    );

    $wp_customize->add_control(
        'jungle_eco_tours_single_post_next_article_text',
        array(
            'settings'      => 'jungle_eco_tours_single_post_next_article_text',
            'section'       => 'jungle_eco_tours_single_post_settings',
            'type'          => 'textbox',
            'label'         => esc_html__( 'Next Article Text', 'jungle-eco-tours' ),
            'description'         => esc_html__( 'You can change the text displayed in the single post navigation', 'jungle-eco-tours' ),
        )
    );

    // add previous article textbox
    $wp_customize->add_setting(
        'jungle_eco_tours_single_post_previous_article_text',
        array(
            'type' => 'theme_mod',
            'default'           => esc_html__( 'Previous Article', 'jungle-eco-tours' ),
            'sanitize_callback' => 'jungle_eco_tours_sanitize_text_field',
        )
    );

    $wp_customize->add_control(
        'jungle_eco_tours_single_post_previous_article_text',
        array(
            'settings'      => 'jungle_eco_tours_single_post_previous_article_text',
            'section'       => 'jungle_eco_tours_single_post_settings',
            'type'          => 'textbox',
            'label'         => esc_html__( 'Previous Article Text', 'jungle-eco-tours' ),
            'description'         => esc_html__( 'You can change the text displayed in the single post navigation', 'jungle-eco-tours' ),
        )
    );
    
	// Title label
	$wp_customize->add_setting( 
		'jungle_eco_tours_label_single_sidebar_layout', 
		array(
		    'sanitize_callback' => 'jungle_eco_tours_sanitize_title',
		) 
	);

	$wp_customize->add_control( 
		new Jungle_Eco_Tours_Title_Info_Control( $wp_customize, 'jungle_eco_tours_label_single_sidebar_layout', 
		array(
		    'label'       => esc_html__( 'Sidebar', 'jungle-eco-tours' ),
		    'section'     => 'jungle_eco_tours_single_post_settings',
		    'type'        => 'jungle-eco-tours-title',
		    'settings'    => 'jungle_eco_tours_label_single_sidebar_layout',
		) 
	));

	// Sidebar layout
    $wp_customize->add_setting(
        'jungle_eco_tours_blog_single_sidebar_layout',
        array(
            'default'			=> 'no',
            'type'				=> 'theme_mod',
            'capability'		=> 'edit_theme_options',
            'sanitize_callback'	=> 'jungle_eco_tours_sanitize_select'
        )
    );
    $wp_customize->add_control(
        new Jungle_Eco_Tours_Radio_Image_Control( $wp_customize,'jungle_eco_tours_blog_single_sidebar_layout',
            array(
                'settings'		=> 'jungle_eco_tours_blog_single_sidebar_layout',
                'section'		=> 'jungle_eco_tours_single_post_settings',
                'label'			=> esc_html__( 'Sidebar Layout', 'jungle-eco-tours' ),
                'choices'		=> array(
                    'right'	        => JUNGLE_ECO_TOURS_DIR_URI . '/inc/customizer/assets/images/cr.png',
                    'left' 	        => JUNGLE_ECO_TOURS_DIR_URI . '/inc/customizer/assets/images/cl.png',
                    'no' 	        => JUNGLE_ECO_TOURS_DIR_URI . '/inc/customizer/assets/images/cn.png',
                )
            )
        )
    );
}
endif;

add_action( 'customize_register', 'jungle_eco_tours_customizer_blog_register' );